Page MenuHomePhabricator

Feature flag font-changer
Closed, ResolvedPublic2 Story Points

Description

As part of removing SkinMinervaBeta, we should feature flag the font-changer code.

Test Plan

  • Opt into the beta mode and go back to the settings page.
  • Verify that you see an option to change the font size.
  • Increase (or decrease) the font size and go to some page (e.g. Main page) and verify that the site font size has indeed changed.

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptOct 14 2016, 4:10 PM

Change 326839 had a related patch set uploaded (by Bmansurov):
Feature flag FontChanger

https://gerrit.wikimedia.org/r/326839

ovasileva set the point value for this task to 2.Dec 14 2016, 6:14 PM

Change 326839 merged by jenkins-bot:
Feature flag FontChanger

https://gerrit.wikimedia.org/r/326839

@phuedx, @pmiazga, @Jhernandez can one of you please sign off?

Moved back to "Needs more work" as Font switcher option on Special:MobileOptions is alway visible, even FontChanger is disabled.
Reason: When rendering MobileOptions we show FontChanger for all beta members - corresponding code: https://github.com/wikimedia/mediawiki-extensions-MobileFrontend/blob/master/resources/mobile.special.mobileoptions.scripts/mobileoptions.js#L44.

Because of that even we disable FontChanger the settings will still appear.

pmiazga reassigned this task from pmiazga to bmansurov.Dec 19 2016, 10:40 PM

Change 328314 had a related patch set uploaded (by Bmansurov):
Extract checkbox from an init module

https://gerrit.wikimedia.org/r/328314

Change 328318 had a related patch set uploaded (by Bmansurov):
Special:MobileOptions: don't load font changer module unconditionally

https://gerrit.wikimedia.org/r/328318

Change 328314 abandoned by Bmansurov:
Extract checkbox from an init module

Reason:
not needed for now

https://gerrit.wikimedia.org/r/328314

Change 328318 merged by jenkins-bot:
Special:MobileOptions: don't load font changer module unconditionally

https://gerrit.wikimedia.org/r/328318

Change 328485 had a related patch set uploaded (by Phuedx):
Hygiene: Tidy SpecialMobileOptions module listing

https://gerrit.wikimedia.org/r/328485

I've tested @bmansurov's changes locally and can verify it works as expected. My change tidies up the code just a little.

Change 328485 merged by jenkins-bot:
Hygiene: Tidy SpecialMobileOptions module listing

https://gerrit.wikimedia.org/r/328485

bmansurov updated the task description. (Show Details)

Testing devices:
Samsung-SM-J120A Galaxy Express 3 (Android 6.0.1)
iPhone 6s (iOS 10.1.1)

This looks fixed according to the following screencaps:

Android 6.0.1 with Chrome before Beta mode

after Beta mode

Android 6.0.1 with Internet browser before Beta mode
after Beta mode

iOS 10.1.1 with Firefox before Beta mode
after Beta mode

iOS 10.1.1 with Chrome before Beta mode
after Beta mode

iOS 10.1.1 with Safari before Beta mode
after Beta mode

bmansurov added a subscriber: Nicholas.tsg.
ovasileva closed this task as Resolved.Jan 3 2017, 4:06 PM

all done!